org.eclipse.emf.cdo.spi.server

## Class RepositoryConfigurator.Factory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.emf.cdo.spi.server.RepositoryConfigurator.Factory

- All Implemented Interfaces:
    IManagedContainer.ContainerAware, IFactory
  Direct Known Subclasses:
    RepositoryConfigurator.Factory.Default
  Enclosing class:
    RepositoryConfigurator

      public abstract static class RepositoryConfigurator.Factory
      extends Factory
      implements IManagedContainer.ContainerAware

  Since:
    4.7
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RepositoryConfigurator.Factory.Default`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Factory(java.lang.String type)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract RepositoryConfigurator` | `create(IManagedContainer container, java.lang.String description)`
    `RepositoryConfigurator` | `create(java.lang.String description)`
    `void` | `setManagedContainer(IManagedContainer container)`

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PRODUCT_GROUP

          public static final java.lang.String PRODUCT_GROUP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Factory

          public Factory(java.lang.String type)

  - ### Method Detail

    - #### setManagedContainer

          public void setManagedContainer(IManagedContainer container)

      Specified by:
        `setManagedContainer` in interface `IManagedContainer.ContainerAware`

    - #### create

          public final RepositoryConfigurator create(java.lang.String description)
                                              throws ProductCreationException

      Specified by:
        `create` in interface `IFactory`
      Throws:
        `ProductCreationException`

    - #### create

          public abstract RepositoryConfigurator create(IManagedContainer container,
                                                        java.lang.String description)
                                                 throws ProductCreationException

      Throws:
        `ProductCreationException`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html